<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::sampleApp::ConsolePrinter Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1sample_app.html">sampleApp</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_console_printer.html">ConsolePrinter</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1sample_app_1_1_console_printer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::sampleApp::ConsolePrinter Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_console_printer_8h_source.html">ConsolePrinter.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::sampleApp::ConsolePrinter:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1sample_app_1_1_console_printer__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1sample_app_1_1_console_printer_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1sample_app_1_1_console_printer_inherit__map" id="alexa_client_s_d_k_1_1sample_app_1_1_console_printer_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html" title="alexaClientSDK::avsCommon\l::utils::logger::Logger" alt="" coords="5,5,202,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::sampleApp::ConsolePrinter:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1sample_app_1_1_console_printer__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1sample_app_1_1_console_printer_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1sample_app_1_1_console_printer_coll__map" id="alexa_client_s_d_k_1_1sample_app_1_1_console_printer_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html" title="alexaClientSDK::avsCommon\l::utils::logger::Logger" alt="" coords="5,5,202,44"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a968cdee43c3d97867b23a10bede5d409"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_console_printer.html#a968cdee43c3d97867b23a10bede5d409">ConsolePrinter</a> ()</td></tr>
<tr class="separator:a968cdee43c3d97867b23a10bede5d409"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01457349de504f0ba724cde1a7bb97b4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_console_printer.html#a01457349de504f0ba724cde1a7bb97b4">emit</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">avsCommon::utils::logger::Level</a> level, std::chrono::system_clock::time_point time, const char *threadMoniker, const char *text) override</td></tr>
<tr class="separator:a01457349de504f0ba724cde1a7bb97b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">alexaClientSDK::avsCommon::utils::logger::Logger</a></td></tr>
<tr class="memitem:a9f02eef5dfa02b94b18cd3374af35d30 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a9f02eef5dfa02b94b18cd3374af35d30">Logger</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> level)</td></tr>
<tr class="separator:a9f02eef5dfa02b94b18cd3374af35d30 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb6d8d42e0cbe754142ab5ab65be6b5d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#adb6d8d42e0cbe754142ab5ab65be6b5d">~Logger</a> ()=default</td></tr>
<tr class="memdesc:adb6d8d42e0cbe754142ab5ab65be6b5d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#adb6d8d42e0cbe754142ab5ab65be6b5d">More...</a><br /></td></tr>
<tr class="separator:adb6d8d42e0cbe754142ab5ab65be6b5d inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a699ea99ab6966d8d5eacfda188d9f0b1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a699ea99ab6966d8d5eacfda188d9f0b1">setLevel</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> level)</td></tr>
<tr class="separator:a699ea99ab6966d8d5eacfda188d9f0b1 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb82e33aef7ee1d8bcd666f2a2802d38 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#acb82e33aef7ee1d8bcd666f2a2802d38">shouldLog</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> level) const</td></tr>
<tr class="separator:acb82e33aef7ee1d8bcd666f2a2802d38 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d7e1465f794a77389fbbaa2fc908037 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a7d7e1465f794a77389fbbaa2fc908037">log</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> level, const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:a7d7e1465f794a77389fbbaa2fc908037 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72f95ccea556c6c00c5c058ed10a24f9 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a72f95ccea556c6c00c5c058ed10a24f9">logAtExit</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> level, const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">LogEntry</a> &amp;entry)</td></tr>
<tr class="separator:a72f95ccea556c6c00c5c058ed10a24f9 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7944e2205b5a60d6d94489b89bc0f2a9 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a7944e2205b5a60d6d94489b89bc0f2a9">addLogLevelObserver</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_level_observer_interface.html">LogLevelObserverInterface</a> *observer)</td></tr>
<tr class="separator:a7944e2205b5a60d6d94489b89bc0f2a9 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1040a28f336e76b058ca2f53eafbd232 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a1040a28f336e76b058ca2f53eafbd232">removeLogLevelObserver</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_level_observer_interface.html">LogLevelObserverInterface</a> *observer)</td></tr>
<tr class="separator:a1040a28f336e76b058ca2f53eafbd232 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a005ea04b1dd710e0b4dd8f9a7d15fc18"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_console_printer.html#a005ea04b1dd710e0b4dd8f9a7d15fc18">simplePrint</a> (const std::string &amp;stringToPrint)</td></tr>
<tr class="separator:a005ea04b1dd710e0b4dd8f9a7d15fc18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc5fd5d98b38c97380921119f2ed4929"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_console_printer.html#adc5fd5d98b38c97380921119f2ed4929">prettyPrint</a> (const std::string &amp;stringToPrint)</td></tr>
<tr class="separator:adc5fd5d98b38c97380921119f2ed4929"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a71b60b8e43ff666c3ecb440e67a422"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1sample_app_1_1_console_printer.html#a3a71b60b8e43ff666c3ecb440e67a422">prettyPrint</a> (std::initializer_list&lt; std::string &gt; lines)</td></tr>
<tr class="separator:a3a71b60b8e43ff666c3ecb440e67a422"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">alexaClientSDK::avsCommon::utils::logger::Logger</a></td></tr>
<tr class="memitem:aef95512e19fc4a1dc40c0fc9ab06f9d2 inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#aef95512e19fc4a1dc40c0fc9ab06f9d2">init</a> (const <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1configuration_1_1_configuration_node.html">configuration::ConfigurationNode</a> configuration)</td></tr>
<tr class="separator:aef95512e19fc4a1dc40c0fc9ab06f9d2 inherit pro_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">alexaClientSDK::avsCommon::utils::logger::Logger</a></td></tr>
<tr class="memitem:a2e05116b4d883e4f2760c9b7266a99cb inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memItemLeft" align="right" valign="top">std::atomic&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">Level</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a2e05116b4d883e4f2760c9b7266a99cb">m_level</a></td></tr>
<tr class="memdesc:a2e05116b4d883e4f2760c9b7266a99cb inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="mdescLeft">&#160;</td><td class="mdescRight">The lowest severity level of logs to be output by this <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html">Logger</a>.  <a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a2e05116b4d883e4f2760c9b7266a99cb">More...</a><br /></td></tr>
<tr class="separator:a2e05116b4d883e4f2760c9b7266a99cb inherit pro_attribs_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">A simple class that prints to the screen. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a968cdee43c3d97867b23a10bede5d409"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a968cdee43c3d97867b23a10bede5d409">&#9670;&nbsp;</a></span>ConsolePrinter()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::sampleApp::ConsolePrinter::ConsolePrinter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a01457349de504f0ba724cde1a7bb97b4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01457349de504f0ba724cde1a7bb97b4">&#9670;&nbsp;</a></span>emit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::sampleApp::ConsolePrinter::emit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html#a4707ccb25a60922c47a5d8ee257b85e6">avsCommon::utils::logger::Level</a>&#160;</td>
          <td class="paramname"><em>level</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::chrono::system_clock::time_point&#160;</td>
          <td class="paramname"><em>time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>threadMoniker</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>text</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Emit a log entry. NOTE: This method must be thread-safe. NOTE: Delays in returning from this method may hold up calls to <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#a7d7e1465f794a77389fbbaa2fc908037">Logger::log()</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">level</td><td>The severity Level of this log line. </td></tr>
    <tr><td class="paramname">time</td><td>The time that the event to log occurred. </td></tr>
    <tr><td class="paramname">threadMoniker</td><td>Moniker of the thread that generated the event. </td></tr>
    <tr><td class="paramname">text</td><td>The text of the entry to log. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger.html#aecb3d76c968a74025445ba63546098f3">alexaClientSDK::avsCommon::utils::logger::Logger</a>.</p>

</div>
</div>
<a id="adc5fd5d98b38c97380921119f2ed4929"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc5fd5d98b38c97380921119f2ed4929">&#9670;&nbsp;</a></span>prettyPrint() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::sampleApp::ConsolePrinter::prettyPrint </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>stringToPrint</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Prints a message with a pretty format with a <br />
 after.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stringToPrint</td><td>The string to print. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a3a71b60b8e43ff666c3ecb440e67a422"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a71b60b8e43ff666c3ecb440e67a422">&#9670;&nbsp;</a></span>prettyPrint() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::sampleApp::ConsolePrinter::prettyPrint </td>
          <td>(</td>
          <td class="paramtype">std::initializer_list&lt; std::string &gt;&#160;</td>
          <td class="paramname"><em>lines</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Prints a multi-line message with a pretty format with a <br />
 after.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stringToPrint</td><td>The string to print. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a005ea04b1dd710e0b4dd8f9a7d15fc18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a005ea04b1dd710e0b4dd8f9a7d15fc18">&#9670;&nbsp;</a></span>simplePrint()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::sampleApp::ConsolePrinter::simplePrint </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>stringToPrint</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Prints a simple message along with an <br />
.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">stringToPrint</td><td>The string to print. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/SampleApp/include/SampleApp/<a class="el" href="_console_printer_8h_source.html">ConsolePrinter.h</a></li>
<li>/workplace/avs-device-sdk/SampleApp/src/<a class="el" href="_console_printer_8cpp.html">ConsolePrinter.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
